<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<html>
<jsp:include page="fragments/header.jsp" />
<body>
	<div class="container">
		<jsp:include page="fragments/mainmenu.jsp" />
		<spring:url value="/stat/jobsoneday/results" var="oneday_query" />
		<spring:url value="/stat/jobsdaily/results?date1=${date1}&date2=${date2}&option=${option}" var="the_query" />

		<!-- reload and CSV buttons  -->
		<ul class="nav navbar-nav navbar-right">
			<li>
			<a href="${the_query}" class="btn btn-default active">Reload</a>
			</li>
			<c:choose><c:when test="${csvfile != ''}">
			<li>
			<a id="forCSVfile" download="data.csv" href="data:application/csv;charset=utf-8,${csvfile}" class="btn btn-default active">CSV</a>
			</li>
			</c:when></c:choose>
		</ul>

	<div class="panel panel-default">
	<div class="panel-heading">
		<c:choose>
			<c:when test="${option == 'AllDates,off'}">
				<p style="font-weight:bold;">Jobs statistics for the whole period (${ndays} days)</p>
			</c:when>
			<c:otherwise>
				<p style="font-weight:bold;">
				Jobs statistics for the time period: <c:out value="${date1}" /> to <c:out value="${date2}"/> (${ndays} days)
				</p>
			</c:otherwise>
		</c:choose>
	</div>

	<div class="panel-body">
		<c:choose>
			<c:when test="${result == null}">
				<p>No jobs for this period</p>
			</c:when>
			<c:otherwise>
				<div class="table-responsive">
				<table class="table table-striped table-hover table-bordered">
					<thead>
						<tr style="text-align: center">
							<th rowspan="2" style="text-align: center">Date</th>
							<th rowspan="2" style="text-align: center">Total number<br/> of jobs</th>
							<th colspan="5" style="text-align: center">Job Statistics</th>
						</tr>
						<tr>
							<th style="text-align: center">Status "OK"</th>
							<th style="text-align: center">Status "Stopped"</th>
							<th style="text-align: center">Status "Internal Error"</th>
							<th style="text-align: center">Status "Time out"</th>
						</tr>
					</thead>

					<tbody>
						<tr style="font-weight: bolder;">
							<td style="text-align: center">Total:</td>
							<c:set var="total" value="${result.wholeTotal}"/>
							<td style="text-align: right">${total.total}</td>
							<td style="text-align: right">${total.totalOK}</td>
							<td style="text-align: right">${total.totalStopped}</td>
							<td style="text-align: right">${total.totalError}</td>
							<td style="text-align: right">${total.totalTimeOut}</td>
						</tr>
						<c:forEach items="${result.dateTotal}" var="res">
							<tr>
								<td style="text-align: center">${res.key}</td>
								<c:set var="value" value="${res.value}"/>
								<td style="text-align: right">${value.total}</td>
								<td style="text-align: right"><a href="${oneday_query}?date=${res.key}&status=OK">${value.totalOK}</a></td>
								<td style="text-align: right">
									<c:choose>
									<c:when test="${value.totalStopped == 0}">0</c:when>
									<c:otherwise><a href="${oneday_query}?date=${res.key}&status=Stopped">${value.totalStopped}</a></c:otherwise>
									</c:choose>
								</td>
								<td style="text-align: right">
									<c:choose>
									<c:when test="${value.totalError == 0}">0</c:when>
									<c:otherwise><a href="${oneday_query}?date=${res.key}&status=JpredError">${value.totalError}</a></c:otherwise>
									</c:choose>
								</td>
								<td style="text-align: right">
									<c:choose>
									<c:when test="${value.totalTimeOut == 0}">0</c:when>
									<c:otherwise><a href="${oneday_query}?date=${res.key}&status=TimedOut">${value.totalTimeOut}</a></c:otherwise>
									</c:choose>
								</td>
							</tr>
						</c:forEach>
					</tbody>
				</table>
				</div>
			</c:otherwise>
		</c:choose>
	</div>
	</div>

		<jsp:include page="fragments/footer.jsp" />
	</div>
</body>
</html>